/************************************************/
/*						*/
/*	Define relaying authorisation module.	*/
/*	All procedure involved to allow an Email*/
/*	relaying are located in this module	*/
/*						*/
/************************************************/
#ifndef UNIRLY
#define UNIRLY
#include	<time.h>

typedef	void	RLYTYP;

typedef enum {rly_norelay,rly_smartrelay,rly_forcedrelay} RLYENUM;

extern time_t rly_lastupd(RLYTYP **relais);
extern RLYTYP *rly_freerelais(RLYTYP *relais);
extern int rly_isinrelay(RLYTYP *relais,char *peerip,time_t curtime);
extern RLYENUM rly_isrelayable(RLYTYP *relais,char *from,char *peerip,int *groupid);
extern RLYTYP *rly_addrelais(RLYTYP *relais,char *rlyname,char **rlyliste);
extern RLYTYP *rly_loadrlyfile(RLYTYP *relais);
extern RLYTYP *rly_sortrelay(RLYTYP *relais);
extern char **rly_showrelais(RLYTYP *relais);
extern int rly_relayedgrpid(RLYTYP *relais,char *peerip);
#endif
