/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define the journalling subroutine	*/
/*						*/
/************************************************/
#ifndef UNIJRL
#define UNIJRL

/*Max number of journal				*/
#define	MXJRL	5
#define APJRL	0	/*basic application jrl	*/
#define	EVJRL	1	/*Event log jrl		*/
#define	EVCKR	2	/*Scanner log jrl	*/
#define	EVTRT	3	/*trt application jrl	*/
#define	EVTRU	4	/*Trust data stream jrl	*/

#define	H24 (24*3600)	/*24 hours in seconds	*/

extern void jrl_closejournals();
extern const char *jrl_getjourname(int numjrl);
extern void jrl_stoppresse(int numjrl);
extern int jrl_setjournal(int numjrl,char *jrldir,char *edition);
extern void jrl_journalling(int flush,int numjrl,const char *frm,...);
extern void jrl_multijrl(int numjrl,char *marge,char *str);
extern char *jrl_getedition(int numjrl);
extern void jrl_dbgjournalling(int dbglim,int flush,int numjrl,const char *frm,...);
#endif
